summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorMichal Cmarada <mcmarada@cisco.com>2019-02-19 10:37:32 +0100
committerMichal Cmarada <mcmarada@cisco.com>2019-02-19 10:46:35 +0100
commitd9599f0fc9c1cdde7b03b71bd0fa32081f93a475 (patch)
tree6c92b8bc2f315b02e20d954df11b6e50c1e4b694 /scripts
parenteb28616ca1c69184b7b2b4cf4ba96cf4df29f978 (diff)
update install_jvpp local script
Change-Id: I1873e36579dcfc6c03cda8226c83c50245f09423 Signed-off-by: Michal Cmarada <mcmarada@cisco.com>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/install_jvpp.sh48
1 files changed, 48 insertions, 0 deletions
diff --git a/scripts/install_jvpp.sh b/scripts/install_jvpp.sh
new file mode 100755
index 0000000..0521287
--- /dev/null
+++ b/scripts/install_jvpp.sh
@@ -0,0 +1,48 @@
+#!/usr/bin/env bash
+
+# Copyright (c) 2019 Cisco and/or its affiliates.
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at:
+#
+# http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+
+dir=$( cd "$(dirname "${BASH_SOURCE}")" ; pwd -P )
+
+cd "$dir"
+
+MAIN_VER="$(../version | cut -f1 -d"-")"
+RLS_VER="$(../version | cut -f1 -d"~" | cut -f2 -d"-")"
+
+#update version based on release version rc* -> SNAPSHOT or release -> main version
+if [[ ${RLS_VER} == rc* ]]; then
+ VERSION=${MAIN_VER}-SNAPSHOT
+elif [[ ${RLS_VER} == release ]]; then
+ VERSION=${MAIN_VER}
+else
+ echo "Error unrecognized release version. Exiting maven installation."
+ exit 1;
+fi
+
+echo "Main version:" ${MAIN_VER}
+echo "Maven artifacts version:" ${VERSION}
+
+cd "$dir/../java/"
+
+echo "Installing jars to Maven:"
+mvn install:install-file -Dfile=jvpp-registry-${MAIN_VER}.jar -DgroupId=io.fd.vpp -DartifactId=jvpp-registry -Dversion=${VERSION} -Dpackaging=jar
+mvn install:install-file -Dfile=jvpp-core-${MAIN_VER}.jar -DgroupId=io.fd.vpp -DartifactId=jvpp-core -Dversion=${VERSION} -Dpackaging=jar
+mvn install:install-file -Dfile=jvpp-ioampot-${MAIN_VER}.jar -DgroupId=io.fd.vpp -DartifactId=jvpp-ioampot -Dversion=${VERSION} -Dpackaging=jar
+mvn install:install-file -Dfile=jvpp-ioamtrace-${MAIN_VER}.jar -DgroupId=io.fd.vpp -DartifactId=jvpp-ioamtrace -Dversion=${VERSION} -Dpackaging=jar
+mvn install:install-file -Dfile=jvpp-ioamexport-${MAIN_VER}.jar -DgroupId=io.fd.vpp -DartifactId=jvpp-ioamexport -Dversion=${VERSION} -Dpackaging=jar
+mvn install:install-file -Dfile=jvpp-nat-${MAIN_VER}.jar -DgroupId=io.fd.vpp -DartifactId=jvpp-nat -Dversion=${VERSION} -Dpackaging=jar
+mvn install:install-file -Dfile=jvpp-nsh-${MAIN_VER}.jar -DgroupId=io.fd.vpp -DartifactId=jvpp-nsh -Dversion=${VERSION} -Dpackaging=jar
+mvn install:install-file -Dfile=jvpp-acl-${MAIN_VER}.jar -DgroupId=io.fd.vpp -DartifactId=jvpp-acl -Dversion=${VERSION} -Dpackaging=jar
+
+echo "all done."